Bug 1310245 - AMQP connection doesn't recover after rabbitmq-server restart
Summary: AMQP connection doesn't recover after rabbitmq-server restart
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.5.3
Assignee: Ladislav Smola
QA Contact: Ola Pavlenko
URL:
Whiteboard: retest:openstack:event
Depends On: 1222005 1310248
Blocks: 1291721
TreeView+ depends on / blocked
 
Reported: 2016-02-19 20:54 UTC by John Prause
Modified: 2019-10-10 11:16 UTC (History)
17 users (show)

Fixed In Version: 5.5.3.2
Doc Type: Bug Fix
Doc Text:
Previously, the AMQP connection did not recover after rabbitmq-server restart. This was because the previous Bunny gem couldn't handle a reconnect when AMQP service got restarted. This patch updated the Bunny gem and the AMQP connection now recovers as expected.
Clone Of: 1222005
Environment:
Last Closed: 2016-04-13 18:44:41 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0616 normal SHIPPED_LIVE CFME 5.5.3 bug fixes and enhancement update 2016-04-13 22:38:44 UTC

Comment 3 CFME Bot 2016-03-11 15:00:21 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=564108ee801d389b433777936eb9824b1dad81c2

commit 564108ee801d389b433777936eb9824b1dad81c2
Merge: 934d6fa b1ab130
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Fri Mar 11 09:41:15 2016 -0500
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Fri Mar 11 09:41:15 2016 -0500

    Merge branch 'bz1310245' into '5.5.z'
    
    Update Bunny gem
    
    Update Bunny gem, the old gem couldn't handle reconnect when
    amqp service got restarted.
    
    Seems like new bunny works the same, so no changes in using it
    are needed.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1222005
    
    Clean cherry-pick of:
    https://github.com/ManageIQ/manageiq/pull/6857
    
    Fixes 5.5.z BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1310245
    
    
    
    See merge request !839

 gems/pending/Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Ronnie Rasouli 2016-04-05 08:50:05 UTC
tested on 5.5.3 rhos8, the error frame_too_large did not show, the cfme resumed the rabbit connection, from GUI amqp validation passed

Comment 7 errata-xmlrpc 2016-04-13 18:44:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:0616


Note You need to log in before you can comment on or make changes to this bug.